# $Revision: 1.17 $, $Date: 2004/10/01 10:29:18 $
Summary:	BEAST (the Bedevilled Audio System)
Summary(pl):	System dwiku BEAST (Bedevilled Audio System)
Name:		beast
Version:	0.6.2
Release:	2
License:	GPL
Group:		Applications
Source0:	http://beast.gtk.org/beast-ftp/v0.6/%{name}-%{version}.tar.gz
# Source0-md5:	fb86207ba14069956d39a99c62da5bd7
Source1:	%{name}.desktop
Patch0:		%{name}-glib24.patch
Patch1:		%{name}-gcc34.patch
URL:		http://beast.gtk.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gtk+2-devel >=  2.2.0
BuildRequires:	guile-devel >= 1.6
BuildRequires:	libart_lgpl-devel >= 2.3.8
BuildRequires:	libgnomecanvas-devel >= 2.0.0
BuildRequires:	libmad-devel >= 0.14.2
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BEAST (the Bedevilled Audio System) is a GTK+/GNOME based front-end to
BSE (the Bedevilled Sound Engine). BSE is a shared library that comes
with the necessary framework to simulate audio synthesis (modular
synthesis) in realtime and allow for song composition.

%description -l pl
System dwiku BEAST (Bedevilled Audio System) to oparty na GTK+/GNOME
frontend dla silnika dwiku BSE (Bedevilled Sound Engine). BSE to
biblioteka wspdzielona, ktra przychodzi wraz ze szkieletem
potrzebnym do symulacji syntezy dwiku (syntezy modularnej) w czasie
rzeczywistym oraz umoliwienia komponowania piosenek.

%package devel
Summary:	Header files for Beast
Summary(pl):	Pliki nagwkowe dla Beast
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Beast.

%description devel -l pl
Pliki nagwkowe dla Beast.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f aclocal.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--enable-devdsp \
	--enable-debug=no

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -c %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_libdir}/bse
%dir %{_libdir}/bse/v%{version}
%dir %{_libdir}/bse/v%{version}/plugins
%{_mandir}/man1/*
%attr(755,root,root) %{_libdir}/bse/v%{version}/plugins/*.so
%{_datadir}/%{name}
%{_datadir}/bse
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/mime-info/bse.*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/*.png

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/bse
%{_includedir}/bsw
%{_includedir}/sfi
%{_mandir}/man3/*
%{_pkgconfigdir}/*.pc
# do we really need this?
%{_libdir}/bse/v%{version}/plugins/*.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: beast.spec,v $
Revision 1.17  2004/10/01 10:29:18  paladine
- rel 2 for fixed desktop file

Revision 1.16  2004/07/07 20:58:26  grzegol
- updated to 0.6.2
- more BRs
- strict internal deps

Revision 1.15  2004/07/03 12:52:55  grzegol
- added gcc34 patch (fix building with gcc-3.4)

Revision 1.14  2004/03/24 11:32:43  aflinta
- up to version 0.6.1, added glib24 patch with function name change from g_value_set_boxed_take_ownership to g_value_take_boxed

Revision 1.13  2003/12/24 07:17:19  misi3k
- updated to 0.5.5

Revision 1.12  2003/12/13 12:18:32  qboosh
- s/mad-devel/libmad-devel/

Revision 1.11  2003/08/11 20:44:52  ankry
cosmetics

Revision 1.10  2003/08/06 16:33:55  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.9  2003/07/23 15:34:43  freetz
- up to 0.5.4
- .desktop and icon files added

Revision 1.8  2003/06/25 08:51:00  aflinta
- version 0.5.3

Revision 1.7  2003/06/22 19:11:44  aflinta
- BR: guile-1.6, release 1

Revision 1.6  2003/06/21 22:50:55  freetz
- updated to new version
- disabled debug
- new ac patch

Revision 1.5  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:45:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/14 20:38:37  qboosh
- pl, missing dirs, perms, BR: libtool

Revision 1.2  2003/04/14 18:59:15  aflinta
- force /dev/dsp to proper build on builders

Revision 1.1  2003/04/14 07:39:21  aflinta
- PLD initial release
